Package org.apache.sling.distribution.journal.impl.subscriber

# Interface IdleCheck

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Implementing Classes:
  `NoopIdle`, `SubscriberReady`

public interface IdleCheck extends Closeable

## Method Summary

Modifier and Type
Method
Description
`void`
`busy(int retries, long messageCreateTime)`
Called when processing of a message starts
`void`
`idle()`
Called when processing of a message has finished
`boolean`
`isReady()`

### Methods inherited from interface java.io.Closeable

`close`

## Method Details

### busy

void busy(int retries, long messageCreateTime)
Called when processing of a message starts

Parameters:
  `retries` - the number of retries to process the message
  `messageCreateTime` -

### idle

void idle()
Called when processing of a message has finished

### isReady

boolean isReady()